​

Get list of catalog values

GET
https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/catalog-values

Get list of custom property catalog values. The result of the request is displayed page by page if limit presented.

Path parameters
NameTypeReference
property_idrequiredintegerCustomProperty ID
Query
NameTypeConstraintsDescription
querystringText search filter by catalog's values
conditionsenumactive, inactive
limitintegerMaximum amount of values in response
offsetintegerNumber of values to skip
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Catalog option id
custom_property_id

integer

Custom property id
value

object

Schema
Custom property catalog value
name

string

Custom property catalog value name
author_id

integer

Author id
updater_id

integer

Last updater id
condition

string

Custom property catalog value condition
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/catalog-values' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!